--- title: "getVpcList" slug: "networking-vpc-vpcmanagement-getvpclist" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/networking-vpc-vpcmanagement-getvpclist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getVpcList Available in VPC Get the list of VPCs based on the conditions the user specifies. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vpc/v2/getVpcList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all VPC APIs, see [VPC common headers](/docs/en/networking-vpc#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code where you want to query the VPC list - First Region of the query result (default) - Check through the [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) action. | | `vpcStatusCode` | String | Optional | Query the VPC list with the VPC status code. - `INIT` \| `CREATING` \| `RUN` \| `TERMTING` | | `vpcName` | String | Optional | Query the VPC list with the VPC name. | | `vpcNoList.N` | List[String] | Optional | Query the VPC list with the VPC number. - `vpcNo` can be obtained through [getVpcList](/docs/en/networking-vpc-vpcmanagement-getvpclist). - Example: vpcNoList.1=1234&vpcNoList.2=2345 | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/getVpcList ?regionCode=KR &vpcStatusCode=RUN &vpcName=test-*** &vpcNoList.1=***04 &responseFormatType=xml' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [VpcList](/docs/en/common-vapidatatype-vpclist) for the response body. ### Response status codes For information about the HTTP status codes common to all VPC APIs, see [VPC response status codes](/docs/en/networking-vpc#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` 9b37ea3e-3ca9-462f-abad-6e23a35fcb76 0 success 1 ***04 test-*** ***.***.0.0/16 RUN run KR 2020-07-16T22:23:50+0900 ```